<?php
//se o formulrio foi enviado

require_once 'DDDataValidation.php';
$o_validation = new DDDataValidation();

//verificando se algo foi enviado
if(count($_POST))
{
	//encapsulando os dados
	$o_validation->setData('nome', $_POST['nome']);
	$o_validation->setData('email', $_POST['email']);
	$o_validation->setData('cpf', $_POST['cpf']);
	$o_validation->setData('data_nascimento', $_POST['data_nascimento']);
	
	//efetuando as validaes
	
	//validando nome
	$o_validation->getData('nome')->isEmpty('Nome  obrigatrio');
	
	//validando email
	$o_validation->getData('email')->isEmpty('E-mail  obrigatrio');
	$o_validation->getData('email')->isEmail('E-mail invlido');
	
	//validando CPF
	$o_validation->getData('cpf')->isEmpty('CPF  obrigatrio');
	$o_validation->getData('cpf')->isCPF('CPF invlido');
	
	
	//validando data de nascimento
	$o_validation->getData('data_nascimento')->isEmpty('Data de Nascimento  obrigatria');
	$o_validation->getData('data_nascimento')->isDate('Data de Nascimento invlida',DDDataValidation::DATE_BR);
	
	if($o_validation->countErrors() == 0)
		$st_mensagem =  'cadastrado com sucesso';
}	

	?>
<html>
<head>
<style>
body
{
font-family:"tahoma";
}
</style>
</head>
<body>
<div align=center>
	<br/>
	<br/>	
	<form method="post">
		<table>
			<tr>
				<td colspan="2" align="center" style="font-size: 30px;">
					DigitalDev Form				
				</td>
			</tr>
			<tr>
				<td>
					&nbsp;
				</td>
			</tr>
			<?php
			if(isset($st_mensagem))
			{ 
			?>
			<tr>
				<td colspan="2" align="center">
					<font color='red' size='4'><?php echo $st_mensagem?></font>
				</td>
			</tr>
			<?php
			} 
			?>
			<tr>
				<td align="right">
					Nome:
				</td>
				<td>
					<input type="text" name="nome" value="<?php echo $_POST['nome']?>" maxlength="40">
					<font size='2' color='red'>
						<?php echo $o_validation->getData('nome')->getErrorMsg(DDDataValidation::ErrorEmpty)?>
					</font>
				</td>
			</tr>			
			<tr>
				<td align="right">
					E-mail:
				</td>
				<td>
					<input type="text" name="email" maxlength="40" value="<?php echo $_POST['email']?>">
					<font size='2' color='red'>
						<?php echo $o_validation->getData('email')->getFirstErrorMsg()?>
					</font>
				</td>
			</tr>
			<tr>
				<td align="right">
					CPF:
				</td>
				<td>
					<input type="text" size="11" name="cpf" maxlength="14" value="<?php echo $_POST['cpf']?>">
					<font size='2' color='red'>
						<?php echo $o_validation->getData('cpf')->getFirstErrorMsg()?>
					</font>
				</td>
			</tr>
			<tr>
				<td align="right">
					Data de nascimento:
				</td>
				<td>
					<input type="text" size="10" name="data_nascimento" maxlength="10" value="<?php echo $_POST['data_nascimento']?>">
					<font size='2' color='red'>
						<?php echo $o_validation->getData('data_nascimento')->getFirstErrorMsg()?>
					</font>					
				</td>
			</tr>
			<tr>
				<td colspan="2" align="center">
					<button type="submit">Cadastrar</button>
				</td>
			</tr>
		</table>
	</form>	
</div>	
</body>
</html>